// $ANTLR : "ClockGram.g" -> "LangLexer.java"$

/******************************  
* @author Benoit Ferrero
* ClockLang.g 
*
*
*********************************/
package grammaire ;

public interface LangParserTokenTypes {
	int EOF = 1;
	int NULL_TREE_LOOKAHEAD = 3;
	int BLOCK = 4;
	int REL = 5;
	int CLK_FUNC = 6;
	int CLK_FUNC2 = 7;
	int CLK_REL = 8;
	int CLKG = 9;
	int CHRONONFP = 10;
	int CHRONONFPSTB = 11;
	int EXPR = 12;
	int BWEXPR = 13;
	int CLKEXPR = 14;
	int IF = 15;
	int COND = 16;
	int INT = 17;
	int REAL = 18;
	int LOG = 19;
	int LOGAND = 20;
	int LOGOR = 21;
	int LOGXOR = 22;
	int LOGNOT = 23;
	int LOGPAR = 24;
	int LOGCOMP = 25;
	int ADDOP = 26;
	int INTERVALREAL = 27;
	int MYLCURLY = 28;
	int MYRCURLY = 29;
	int LPAREN = 30;
	int RPAREN = 31;
	int LINTER = 32;
	int RINTER = 33;
	int ID = 34;
	int PATH = 35;
	int CLKDEF = 36;
	int ASSIGN = 37;
	int CVS = 38;
	int FCVS = 39;
	int REF = 40;
	int DIESE = 41;
	int INST = 42;
	int INST_REL = 43;
	int RELINST = 44;
	int EGOP = 45;
	int STAT = 46;
	int GUARD = 47;
	int WRT = 48;
	int ATE = 49;
	int DUREXPR = 50;
	int INSTEXPR = 51;
	int INSTDEF = 52;
	int INSTREF1 = 53;
	int INSTREF1b = 54;
	int INSTREF2 = 55;
	int TIMEMUL = 56;
	int TIMEFUNC = 57;
	int TIMESPAN = 58;
	int TIMEINTER = 59;
	int EXPRADD = 60;
	int EXPRMUL = 61;
	int EXPRNUMBER = 62;
	int INTERPP = 63;
	int TIMESOMME = 64;
	int TIMEEXT = 65;
	int TUPLE = 66;
	int TUPLEEXT = 67;
	int STRICTLY = 68;
	int LITERAL_isDisjoint = 69;
	// ";" = 70
	// "," = 71
	int LITERAL_haveMaxDrift = 72;
	int LITERAL_haveOffset = 73;
	int LITERAL_haveSkew = 74;
	int LITERAL_haveDrift = 75;
	int LITERAL_hasStability = 76;
	int LITERAL_coincidentWith = 77;
	int LITERAL_precedes = 78;
	int LITERAL_by = 79;
	// ".." = 80
	int LITERAL_max = 81;
	int LITERAL_min = 82;
	int BW = 83;
	int GBW = 84;
	int LITERAL_uniform = 85;
	// "+" = 86
	// "-" = 87
	// "*" = 88
	// "/" = 89
	// "%" = 90
	int LITERAL_or = 91;
	int LITERAL_xor = 92;
	int LITERAL_and = 93;
	int LITERAL_not = 94;
	int LITERAL_true = 95;
	int LITERAL_false = 96;
	int RELOP = 97;
	int LITERAL_in = 98;
	int LITERAL_on = 99;
	int LITERAL_mult = 100;
	int LITERAL_durationBetween = 101;
	int LITERAL_restrictedTo = 102;
	int LITERAL_filteredBy = 103;
	int LITERAL_discretizedBy = 104;
	int LITERAL_from = 105;
	int LITERAL_to = 106;
	int LITERAL_restrictedToTrailing = 107;
	int LITERAL_delayedFor = 108;
	int LITERAL_followedBy = 109;
	int LITERAL_inter = 110;
	int LITERAL_union = 111;
	int LITERAL_minus = 112;
	int LITERAL_sampledOn = 113;
	int LITERAL_restrictedToLeading = 114;
	int LITERAL_restrictedToInterval = 115;
	int LITERAL_when = 116;
	int LITERAL_timerConstraint = 117;
	int LITERAL_oneShotConstraint = 118;
	int LITERAL_sup = 119;
	int LITERAL_inf = 120;
	int LITERAL_sustain = 121;
	int LITERAL_upto = 122;
	int LITERAL_countFor = 123;
	int LITERAL_until = 124;
	int LITERAL_wrt = 125;
	int LITERAL_at = 126;
	int LITERAL_leftWeakly = 127;
	int LITERAL_rightWeakly = 128;
	int LITERAL_weakly = 129;
	int LITERAL_nonStrictly = 130;
	int LITERAL_leftNonStrictly = 131;
	int LITERAL_rightNonStrictly = 132;
	int LITERAL_alternatesWith = 133;
	int LITERAL_synchronizesWith = 134;
	int LITERAL_isSubClockOf = 135;
	int LITERAL_isFinerThan = 136;
	int LITERAL_isFasterThan = 137;
	int LITERAL_withIn = 138;
	int LITERAL_isCoarserThan = 139;
	int LITERAL_isSlowerThan = 140;
	int LITERAL_isPeriodicOn = 141;
	int LITERAL_period = 142;
	int LITERAL_offset = 143;
	int LITERAL_isSporadicOn = 144;
	int LITERAL_gap = 145;
	int LITERAL_hasSameRateAs = 146;
	int LITERAL_sync = 147;
	int LITERAL_Clock = 148;
	int LITERAL_is = 149;
	int LITERAL_Timer = 150;
	int LITERAL_Instant = 151;
	int LITERAL_iprecedes = 152;
	int LITERAL_instantOf = 153;
	int LITERAL_suchThat = 154;
	int WS = 155;
	int SL_COMMENT = 156;
	int MUL = 157;
	int DIV = 158;
	int MODULO = 159;
	int BIT = 160;
	int GBV = 161;
	int RBIT = 162;
	int DIGIT = 163;
	int HEX_DIGIT = 164;
	int EXPONENT = 165;
	int SEMI = 166;
	int COMA = 167;
	int DOT = 168;
}
